Wallet Infrastructure
Wallet Infrastructure
Guardians

Enrol customer guardian

POST
/v1/guardians

Requires scope wallets:write and an x-customer-id header; the wallet is resolved from the customer, so there is no wallet id in the path.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Response Body

201
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X POST 'https://api.pilot.shiga.io/v1/guardians' \  -H 'Authorization: Bearer sk_test_...'
Example Response
Empty